﻿import { CellsysType } from './cellsysUtil.js';

class CellsysEquipmentUser {
    constructor(params) {
        this.cellsysType = CellsysType.Equipment;
        if (!params) { params = {} };
        this.id = params.id;
        this.name = params.name;
        this.macId = params.macid;
        this.orgId = params.org_id;
        this.type = params.type;
        this.style = params.style ? params.style : {};
        this.description = params.description;
        this.orgName = params.org_name;
        this.typeName = params.type_name;
        this.userId = params.user_id;
        this.realname = params.realname;
        this.createdId = params.create_by;
        this.createdTime = params.create_time;
    }
    setId(value) {
        this.id = value;
    }
    setName(value) {
        this.name = value;
    }
    setDescription(value) {
        this.description = value;
    }
    setMacId(value) {
        this.macId = value;
    }
    setTypeId(value) {
        this.typeId = value;
    }
    setTypeName(value) {
        this.typeName = value;
    }
    getIcon() {
        return this.style ? this.style.icon : null;
    }
    getColor() {
        return this.style ? this.style.color : '#000000';
    }
}


export default CellsysEquipmentUser
