class CellsysOrgOptions {
    constructor({
                    auditModel = {
                        "app": false,
                        "equipmentType": false,
                        "eventType": false,
                        "fenceLineType": false,
                        "fencePointType": false,
                        "fenceType": false,
                        "layerGroup": false,
                        "offlineFenceType": false
                    },
                    banners = [],
                    bannersShow = false,
                    indexItems = [],
                    indexOptions = {
                        "items": [],
                        "tags": [],
                        "type": "normal"
                    },
                    mapOptions = {
                        "view": {
                            "zoom": 16,
                            "center": [113, 23]
                        },
                        "level": 16,
                        "tileLayer": null
                    },
                    navItems = [],
                    themeColor = "#1890ff"
                } = {}) {
        this.auditModel = auditModel;
        this.banners = banners;
        this.bannersShow = bannersShow;
        this.indexItems = indexItems;
        this.indexOptions = indexOptions;
        this.mapOptions = mapOptions;
        this.navItems = navItems;
        this.themeColor = themeColor;
    }
}

export  default  CellsysOrgOptions