/*
 * @Author: ag
 * @LastEditTime: 2021-11-19 14:07:58
 * @LastEditors: ag
 * @Description: 
 */
import { CellsysType } from './cellsysUtil.js';
import CellsysElement from './cellsysElement.js';

class CellsysTask extends CellsysElement {
    constructor(params) {
        super(params);
        this.cellsysType = CellsysType.Task;
        if (!params) {
            params = {};
        }

        this.id = params.id;
        this.name = params.name;
        this.description = params.description;
        this.status = params.status;
        this.geometry = params.geometry;
        this.startTime = params.start_time;
        this.endTime = params.end_time;
        this.isPublic = params.is_public;
        this.userIds = params.task_user_ids;
        this.groupIds = params.task_group_ids;
        this.geometryIds = params.task_geom_ids;
        this.orgId = params.org_id;
        this.appId = params.app_id;
        this.taskTypeCustomId = params.task_type_custom_id;
        this.type = params.task_type_custom_id; //这个属性目前只用于扩展数据查询
        this.typeCustomName = params.type_custom_name;
        this.createTime = params.create_time;
        this.updateTime = params.update_time;
    }

    setId(value) {
        this.id = value;
    }

    setName(value) {
        this.name = value;
    }

    setDescription(value) {
        this.description = value;
    }
}

export default CellsysTask;
