import CellsysApp from './cellsysAPP.js'
import CellsysAppModel from './cellsysAppModel.js'
import CellsysEquipment from './cellsysEquipment.js'
import CellsysEquipmentType from './cellsysEquipmentType.js'
import CellsysEvent from './cellsysEvent.js'
import CellsysEventType from './cellsysEventType'
import CellsysFenceEvent from './cellsysFenceEvent.js'
import CellsysGroup from './cellsysGroup.js'
import CellsysLayer from './cellsysLayer.js'
import CellsysLayerGroup from './cellsysLayerGroup.js'
import CellsysLine from './cellsysLine.js'
import CellsysLineType from './cellsysLineType.js'
import CellsysMark from './cellsysMark'
import CellsysMarkType from './cellsysMarkType.js'
import CellsysMember from './cellsysMember.js'
import CellsysOrg from './cellsysOrg.js'
import CellsysPolygon from './cellsysPolygon.js'
import CellsysPolygonType from './cellsysPolygonType.js'
import CellsysPush from './cellsysPush.js'
import CellsysStyle from './cellsysStyle.js'
import CellsysTask from './cellsysTask.js'
import CellsysTaskGeom from './cellsysTaskGeom.js'
import CellsysUser from './cellsysUser.js'
import CellsysUtil from './cellsysUtil.js'
window.Cellsys={
    init:function (token) {
        if (!token) return;
        if (typeof token !== 'string') {
            token = JSON.stringify(token);
        }
        window.localStorage.setItem("cellsysKey", token);
    },
    'CellsysApp':CellsysApp,
    'CellsysAppModel':CellsysAppModel,
    'CellsysEquipment':CellsysEquipment,
    'CellsysEquipmentType':CellsysEquipmentType,
    'CellsysEvent':CellsysEvent,
    'CellsysEventType':CellsysEventType,
    'CellsysFenceEvent':CellsysFenceEvent,
    'CellsysGroup':CellsysGroup,
    'CellsysLayer':CellsysLayer,
    'CellsysLayerGroup':CellsysLayerGroup,
    'CellsysLine':CellsysLine,
    'CellsysLineType':CellsysLineType,
    'CellsysMark':CellsysMark,
    'CellsysMarkType':CellsysMarkType,
    'CellsysMember':CellsysMember,
    'CellsysOrg':CellsysOrg,
    'CellsysPolygon':CellsysPolygon,
    'CellsysPolygonType':CellsysPolygonType,
    'CellsysPush':CellsysPush,
    'CellsysStyle':CellsysStyle,
    'CellsysTask':CellsysTask,
    'CellsysTaskGeom':CellsysTaskGeom,
    'CellsysUser':CellsysUser,
    'CellsysUtil':CellsysUtil,
}
